# Generated from sso_news_scraper-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name sso_news_scraper

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: CLI for displaying news updates for Star Stable Online
License: MIT
URL: https://github.com/ByteSizeMagic/sso_news_scraper
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3.0
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(gem-release)
# BuildRequires: rubygem(nokogiri)
BuildArch: noarch

%description
Scrapes the Star Stable Online news page for updates and allows reader to
choose an udate to read.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/sso_news_scraper
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/sso_news_scraper.gemspec

%changelog
* Wed Sep 15 2021 mockbuilder - 0.1.0-1
- Initial package
